Bug 175677 - Crash in vm86 code
Crash in vm86 code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 17:20 EST by Miloslav Trmač
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 12:34:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (4.26 KB, text/plain)
2005-12-13 17:20 EST, Miloslav Trmač
no flags Details
lrmi changes (668 bytes, patch)
2005-12-14 00:15 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2005-12-13 17:20:07 EST
Description of problem:
Crash on (kudzu -p -b ddc). (kudzu -p) crashes too.
FWIW, kudzu-1.1.116.3-1 on FC4 doesn't crash:
# /usr/sbin/kudzu -p -b ddc
-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "Intel Corporation Intel(r)852MG/852MGE/855MG/855MGE Graphics Controller"
mem: 12288

Version-Release number of selected component (if applicable):
kudzu-1.2.15-1
Comment 1 Miloslav Trmač 2005-12-13 17:20:07 EST
Created attachment 122199 [details]
backtrace
Comment 2 Bill Nottingham 2005-12-13 17:32:48 EST
Any kernel messages at all?
Comment 3 Bill Nottingham 2005-12-13 17:34:01 EST
Also, what kernel version, and wHen you say 1.1.116.3-1 doesn't crash, does this
include running it on the same kernel?
Comment 4 Miloslav Trmač 2005-12-13 18:52:39 EST
No kernel messages.

1.1.116.3-1 doesn't crash on 2.6.14-1.1644_FC4, I have not tested rawhide.
1.2.15-1 crashes both on 2.6.14-1.1644_FC4 and 2.6.14-1.1752_FC5.
Comment 5 Bill Nottingham 2005-12-14 00:15:10 EST
Created attachment 122214 [details]
lrmi changes

Try backing this out - does that change anything?
Comment 6 Miloslav Trmač 2005-12-14 12:30:05 EST
Yes, that fixes it.
Comment 7 Bill Nottingham 2005-12-14 12:34:08 EST
Added (well, reverted) in 1.2.16-1.

Note You need to log in before you can comment on or make changes to this bug.